.main {
    margin: 0 auto;
}

.field {
    width: 28px;
    height: 28px;
    border: 3px solid #dddddd;
    border-style: outset;
    background-color: #ffffff;
    font-size: 1.2em;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
}

.field--revealed {
    background-color: #dddddd;
    border-style: solid;
}

.field--error {
    background-color: #ff9999;
}

.field--blown {
    background-color: #ff0000;
}

.reset {
    margin: 10px 0 0 0;
}

.message--success {
    color: #00cc00;
}

.message--fail {
    color: #cc0000;
}